<?php

function politician_customizer_setup($wp_customize)
{
	politician_section_customizer_general($wp_customize);
	politician_section_social_media_buttons($wp_customize);
	politician_section_logo_or_info($wp_customize);
  politician_section_photo_and_signature($wp_customize);
  politician_section_front_page($wp_customize);
  politician_section_footer($wp_customize);
  politician_section_posts($wp_customize);
}

add_action('customize_register', 'politician_customizer_setup');

function politician_section_customizer_general($wp_customize)
{
	$wp_customize->add_section('politician_general', array(
		'title' => __('General', 'politician') ,
		'priority' => 20,
	));

	$wp_customize->add_setting('favicon', array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'favicon', array(
		'label' => __('Upload a favicon', 'politician') ,
		'section' => 'politician_general',
		'settings' => 'favicon'
	)));

	$wp_customize->add_setting('style', array(
		'default' => 'avocado',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('select_style', array(
		'label' => __('Theme style', 'politician') ,
		'section' => 'politician_general',
		'settings' => 'style',
		'type' => 'select',
		'choices' => array(
		'avocado' => 'avocado',
		'beige' => 'beige',
    'light' => 'light',
    'midnight' => 'midnight',
    'sky' => 'sky'
		)
	));

    $wp_customize->add_setting('layout', array(
		'default' => 'sidebar_first',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('layout', array(
		'label' => __('Theme layout', 'politician') ,
		'section' => 'politician_general',
		'settings' => 'layout',
		'type' => 'select',
		'choices' => array(
			'sidebar_first' => 'Sidebar, photo and content',
			'content_first' => 'Content, sidebar and photo',
		)
	));
}

function politician_section_social_media_buttons($wp_customize)
{
	$wp_customize->add_section('social_media_buttons', array(
		'title' => __('Social media buttons', 'politician') ,
		'priority' => 21,
	));
	$wp_customize->add_setting('show_rss_button', array(
		'default' => true,
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'show_rss_button', array(
		'label' => __('Show RSS button', 'politician') ,
		'section' => 'social_media_buttons',
    'settings' => 'show_rss_button',
		'type' => 'checkbox',
		'choices' => array(
			'Show RSS button' => true
		) ,
	)));

    $wp_customize->add_setting('facebook_link', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('facebook_link', array(
		'label' => __('Facebook link', 'politician') ,
		'section' => 'social_media_buttons',
        'settings' => 'facebook_link'
	));


    $wp_customize->add_setting('google_plus_link', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('google_plus_link', array(
		'label' => __('Google+ link', 'politician') ,
		'section' => 'social_media_buttons',
                'settings' => 'google_plus_link'
	));

    $wp_customize->add_setting('linked_in_link', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('linked_in_link', array(
		'label' => __('LinkedIn link', 'politician') ,
		'section' => 'social_media_buttons',
                'settings' => 'linked_in_link'
	));

    $wp_customize->add_setting('twitter_link', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('twiter_link', array(
		'label' => __('Twitter link', 'politician') ,
		'section' => 'social_media_buttons',
                'settings' => 'twitter_link'
	));

    $wp_customize->add_setting('donation_link', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('donation_link', array(
		'label' => __('Donation link', 'politician') ,
		'section' => 'social_media_buttons',
            'settings' => 'donation_link'
	));
}

function politician_section_logo_or_info($wp_customize)
{
    $wp_customize->add_section('logo_or_info', array(
		'title' => __('Info or logo', 'politician') ,
		'priority' => 22,
	));

	$wp_customize->add_setting('name', array(
    'default' => __('Name', 'politician'),
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('name', array(
		'label' => __('Name', 'politician'),
		'section' => 'logo_or_info',
    'settings' => 'name'
	));

    $wp_customize->add_setting('surname', array(
    'default' => 'Surname',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('surname', array(
		'label' => __('Surname', 'politician'),
		'section' => 'logo_or_info',
    'settings' => 'surname'
	));

    $wp_customize->add_setting('info', array(
    'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('info', array(
		'label' => __('Info', 'politician'),
		'section' => 'logo_or_info',
    'settings' => 'info',
    'type' => 'textarea'
	));

    $wp_customize->add_setting('logo_instead_texts', array(
    'default' => false,
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('logo_instead_texts', array(
		'label' => __('Use logo instead of texts above', 'politician'),
		'section' => 'logo_or_info',
    'settings' => 'logo_instead_texts',
    'type' => 'checkbox'
	));

    $wp_customize->add_setting('logo', array(
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'logo', array(
		'label' => __('Upload a logo', 'politician') ,
		'section' => 'logo_or_info',
		'settings' => 'logo'
	)));


}

function politician_section_photo_and_signature($wp_customize)
{
    $wp_customize->add_section('photo_signature', array(
		'title' => __('Photo and signature', 'politician') ,
		'priority' => 23,
	));

    $wp_customize->add_setting('photo', array(
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'photo', array(
		'label' => __('Upload a photo', 'politician') ,
		'section' => 'photo_signature',
		'settings' => 'photo'
	)));

    $wp_customize->add_setting('signature', array(
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'signature', array(
		'label' => __('Upload a signature', 'politician') ,
		'section' => 'photo_signature',
		'settings' => 'signature'
	)));

}

function politician_section_front_page($wp_customize)
{
    $wp_customize->add_section('frontpage', array(
        'title' => __('Frontpage', 'politician'),
        'priority' => 24
    ));

    $wp_customize->add_setting('quote_text', array(
        'default' => 'This is a quote',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('quote_text', array(
		'label' => __('Quote', 'politician') ,
		'section' => 'frontpage',
        'settings' => 'quote_text',
        'type' => 'textarea'
	));

    $wp_customize->add_setting('quote_author', array(
        'default' => 'Someone famous, year 1234',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('quote_author', array(
		'label' => __('Quote author', 'politician') ,
		'section' => 'frontpage',
        'settings' => 'quote_author'
	));

    $wp_customize->add_setting('display_news', array(
        'default' => true,
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('display_news', array(
		'label' => __('Display news section', 'politician') ,
		'section' => 'frontpage',
        'settings' => 'display_news',
        'type' => 'checkbox'
	));

    $wp_customize->add_setting('news_title', array(
        'default' => 'News',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('news_title', array(
		'label' => __('Set news title', 'politician') ,
		'section' => 'frontpage',
        'settings' => 'news_title'
	));

    $wp_customize->add_setting('news_category', array(
        'default' => 'news',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('news_category', array(
		'label' => __('Set news category', 'politician') ,
		'section' => 'frontpage',
        'settings' => 'news_category'
	));

}

function politician_section_footer($wp_customize)
{
  $wp_customize->add_section('footer', array(
    'title' => __('Footer', 'politician'),
    'priority' => 25
  ));

  $wp_customize->add_setting('footer_text', array(
    'default' => 'Footer text',
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('quote', array(
		'label' => __('Footer text', 'politician') ,
		'section' => 'footer',
    'settings' => 'footer_text',
	));

    $wp_customize->add_setting('footer_image', array(
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'footer_image', array(
		'label' => __('Upload an image', 'politician') ,
		'section' => 'footer',
		'settings' => 'footer_image'
	)));
}

function politician_section_posts($wp_customize)
{
    $wp_customize->add_section('posts', array(
        'title' => __('Posts', 'politician'),
        'priority' => 26
    ));

    $wp_customize->add_setting('display_author', array(
        'default' => true,
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('display_author', array(
		'label' => __('Display author', 'politician') ,
		'section' => 'posts',
        'settings' => 'display_author',
        'type' => 'checkbox'
	));

    $wp_customize->add_setting('display_comments_count', array(
        'default' => true,
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('display_comments_count', array(
		'label' => __('Display comments count', 'politician') ,
		'section' => 'posts',
        'settings' => 'display_comments_count',
        'type' => 'checkbox'
	));

    $wp_customize->add_setting('display_categories', array(
        'default' => true,
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('display_categories', array(
		'label' => __('Display categories', 'politician') ,
		'section' => 'posts',
        'settings' => 'display_categories',
        'type' => 'checkbox'
	));

    $wp_customize->add_setting('display_tags', array(
        'default' => true,
		'sanitize_callback' => 'sanitize_text_field'
	));

    $wp_customize->add_control('display_tags', array(
		'label' => __('Display tags', 'politician') ,
		'section' => 'posts',
        'settings' => 'display_tags',
        'type' => 'checkbox'
	));
}

?>
